<div class="contact-card">
  <p-card class="test" header="Contact us">
    <div class="field field-container">
      <label for="headline">Email</label>
      <input type="text" [(ngModel)]="message.email" pInputText id="headline" ngModel  required autofocus />
      <small *ngIf="submitted && !message.email" class="p-error">Email is required.</small>
    </div>
    <div class="field field-container">
      <label for="headline">Subject</label>
      <input type="text" [(ngModel)]="message.subject" pInputText id="headline"  required autofocus />
      <small *ngIf="submitted && !message.subject" class="p-error">Subject is required.</small>
    </div>
    <div class="field field-container">
      <label for="text">Text</label>
      <textarea [(ngModel)]="message.text" rows="5" cols="30" pInputTextarea ></textarea>
      <small *ngIf="submitted && !message.text" class="p-error">Text is required.</small>
    </div>
    <ng-template pTemplate="footer">
      <p-button class="send-message-button" (click)="sendMessage()" label="Send Message"></p-button>
      <p-button (click)="openInstagramPage()" [link]="true" icon="pi pi-instagram" ></p-button>
      <!-- <p-button (click)="null" label="Delete" icon="pi pi-times" styleClass="p-button-danger" [style]="{ 'margin-left': '.5em' }"></p-button> -->
    </ng-template>
  </p-card>
<div>

<p-toast [breakpoints]="{'768px': {width: '90%'}}"></p-toast>
